Name:       hirte
Version:    0.1.0
Release:    4%{?dist}
Summary:    A service orchestrator tool for multi-node devices (e.g.: edge devices)
License:    GPLv2
URL:        https://github.com/containers/hirte
Source0:    %{url}/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  systemd-devel
BuildRequires:  systemd-rpm-macros
BuildRequires:  golang-github-cpuguy83-md2man

Requires:   systemd

%description
Hirte is a service orchestrator tool intended for multi-node devices (e.g.:
edge devices) clusters with a predefined number of nodes and with a focus on
highly regulated environment such as those requiring functional safety (for
example in cars).
This package contains the orchestrator and command line tool.

%post
%systemd_post hirte.service

%preun
%systemd_preun hirte.service

%postun
%systemd_postun_with_restart hirte.service

%files
%config(noreplace) %{_sysconfdir}/hirte/hirte.conf
%doc README.md
%doc README.developer.md
%license LICENSE
%{_bindir}/hirte
%{_bindir}/hirtectl
%{_datadir}/dbus-1/interfaces/org.containers.hirte.Job.xml
%{_datadir}/dbus-1/interfaces/org.containers.hirte.Manager.xml
%{_datadir}/dbus-1/interfaces/org.containers.hirte.Monitor.xml
%{_datadir}/dbus-1/interfaces/org.containers.hirte.Node.xml
%{_datadir}/hirte/config/hirte-default.conf
%{_mandir}/man1/hirte.*
%{_mandir}/man1/hirtectl.*
%{_mandir}/man5/hirte.conf.*
%{_sysconfdir}/dbus-1/system.d/org.containers.hirte.conf
%{_unitdir}/hirte.service
%{_unitdir}/hirte.socket

#--------------------------------------------------

%package agent
Summary:    Hirte service orchestrator agent
Requires:   systemd

%description agent
Hirte is a service orchestrator tool intended for multi-node devices (e.g.:
edge devices) clusters with a predefined number of nodes and with a focus on
highly regulated environment such as those requiring functional safety (for
example in cars).
This package contains the node agent.

%post agent
%systemd_post hirte-agent.service

%preun agent
%systemd_preun hirte-agent.service

%postun agent
%systemd_postun_with_restart hirte-agent.service

%files agent
%config(noreplace) %{_sysconfdir}/hirte/agent.conf
%doc README.md
%license LICENSE
%{_bindir}/hirte-agent
%{_datadir}/hirte-agent/config/hirte-default.conf
%{_mandir}/man1/hirte-agent.*
%{_mandir}/man5/hirte-agent.conf.*
%{_sysconfdir}/dbus-1/system.d/org.containers.hirte.Agent.conf
%{_unitdir}/hirte-agent.service
%{_userunitdir}/hirte-agent.service

#--------------------------------------------------

%prep
%setup -c -q

%build
%meson -Dapi_bus=system
%meson_build

%install
%meson_install

%check
%meson_test


%changelog
* Wed Mar 22 2023 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.0-4
- Fix the Source0 to point to a resolvable url
- Replace tabs with spaces

* Tue Mar 21 2023 Martin Perina <mperina@redhat.com> - 0.1.0-3
- Move the different files section near the different package definition

* Tue Mar 21 2023 Martin Perina <mperina@redhat.com> - 0.1.0-2
- Make rpmlint happier

* Tue Mar 21 2023 Martin Perina <mperina@redhat.com> - 0.1.0-1
- Initial release

